{% set url = path('ads_show', {'slug': ad.slug}) %}
<div class="item service-item">
    <div class="testimonial-content">
        <ul class="stars">
            <strong>{{ ad.price | number_format(2, ',', ' ') }}&euro; / jour</strong> <br>
            {% if ad.comments|length > 0 %}
                {% include 'partials/rating.html.twig' with {'rating':ad.avgRatings}%}
            {% else %}
                <small>Pas encore noté !</small>
            {% endif %}
        </ul>
        <a href="{{url}}">
            <img src="{{ ad.coverImage }}" alt="Image du produit" class="img-card"/>
        </a>
        <h4>
            <a href="{{url}}" class="color-white">{{ ad.title }}</a>
        </h4>
        <p>{{ ad.introduction | truncate(150) | raw }}</p>
        <a href="{{url}}" class="btn btn-dark">
            En savoir plus !
        </a>
        {% if app.user and app.user == ad.author %}
            <a href="{{path('ads_edit', {'slug':ad.slug})}}" class="btn btn-info">Modifier l'annonce !</a>
        {% endif %}
    </div>
</div>